__scsi_get_command
Prev | drivers/scsi/scsi.c | Next

## Name

__scsi_get_command — Allocate a struct scsi_cmnd

## Synopsis

`struct scsi_cmnd * __scsi_get_command (` | struct Scsi_Host * | shost,
| gfp_t | gfp_mask`)`;

## Arguments

`shost`

  host to transmit command

`gfp_mask`

  allocation mask

## Description

allocate a struct scsi_cmd from host's slab, recycling from the host's free_list if necessary.

Prev | Up | Next
scsi_device_type | Home | scsi_get_command